IARRAY_GET_NAMED_STRING(3)

FUNCTION
iarray_get_named_string - Get attached string from an Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

char * iarray_get_named_string

(iarray array, CONST char *name)

DESCRIPTION
This routine will get a unique named string from the underlying Karma general data structure of an "Intelligent Array".

array
    The Intelligent Array.

name
    The name of the element.

RETURN VALUE
A pointer to a dynamically allocated copy of the string on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/